# $Id

package MT::RevisionEntry;
use warnings;
use strict;
use Carp;

use MT::Object;
@MT::RevisionEntry::ISA = qw( MT::Object );

__PACKAGE__->install_properties ({
    column_defs => {
        'id' => 'integer not null auto_increment',
        'entry_id' => 'integer not null',
        'blog_id' => 'integer not null',
        'status' => 'smallint not null',
        'author_id' => 'integer not null',
        'allow_comments' => 'boolean',
        'title' => 'string(255)',
        'excerpt' => 'text',
        'text' => 'text',
        'text_more' => 'text',
        'convert_breaks' => 'string(30)',
        'to_ping_urls' => 'text',
        'pinged_urls' => 'text',
        'allow_pings' => 'boolean',
        'keywords' => 'text',
        'tangent_cache' => 'text',
        'basename' => 'string(255)',
        'atom_id' => 'string(255)',
        'authored_on' => 'datetime',
        'week_number' => 'integer',
        'template_id' => 'integer',
        'category_id' => 'integer',
        'meta' => 'blob',
        'data' => 'blob',
        'revision' => 'integer',
        'publish_date' => 'datetime',
        'active_flg'  => 'integer',
        'tag_str'  => 'text',
        'revision_comment' => 'string(255)',
    },
    indexes => {
        entry_id => 1,
        blog_id => 1,
        status => 1,
        author_id => 1,
        created_on => 1,
        modified_on => 1,
        authored_on => 1,
        week_number => 1,
        basename => 1,
        revision => 1,
        active_flg => 1,
        publish_date => 1,
    },
    audit => 1,
    datasource => 'skr_revision_entry',
    primary_key => 'id',
    class_type => 'skr_revision_entry',
});

1;
__END__
