# $Id

package MT::RevisionTemplate;
use warnings;
use strict;
use Carp;

use MT::Object;
@MT::RevisionTemplate::ISA = qw( MT::Object );

__PACKAGE__->install_properties ({
    column_defs => {
        'id' => 'integer not null auto_increment',
        'template_id' => 'integer not null',
        'blog_id' => 'integer not null',
        'name' => 'string(255) not null',
        'type' => 'string(25) not null',
        'outfile' => 'string(255)',
        'text' => 'text',
        'linked_file' => 'string(255)',
        'linked_file_mtime' => 'string(10)',
        'linked_file_size' => 'integer',
        'rebuild_me' => 'boolean',
        'build_dynamic' => 'boolean',
        'identifier' => 'string(50)',
        'build_type' => 'smallint',
        'build_interval' => 'integer',
        'revision' => 'integer',
        'revision_comment' => 'string(255)',
    },
    indexes => {
        blog_id => 1,
        name => 1,
        type => 1,
        outfile => 1,
        identifier => 1,
        revision  => 1,
    },
    audit => 1,
    datasource => 'skr_revision_template',
    primary_key => 'id',
});

1;
__END__
